require 'sinatra'
require 'sinatra/json'
require 'json'

require_relative 'lib/apple_list'
require_relative 'lib/apple'

configure do
  set :apples, AppleList.new
end

configure :test do
  set :apples, AppleList.new(
    "56c6246a-32b3-4653-a2cc-6b4ca1e2269b" => Apple.new(
      'Красивое', 'Красное', 'Китайка', 150, 'Маленькое'
    ),
    "6213f441-0a61-449d-a08a-c291862d4b99" => Apple.new(
      'Съедобное', 'Жёлтое', 'Белый налив', 350, 'Большое'
    )
  )
end

get '/apples/' do
  json settings.apples.index
end

get '/apples/:apple_id' do |apple_id|
  apples = settings.apples
  if apples.has_apple?(apple_id)
    json apples.apple(apple_id)
  else
    404
  end
end

post '/apples/' do
  apple = Apple.from_json(request.body.read)
  json settings.apples.add(apple)
end
