class Apple
  attr_reader :color
  attr_reader :name
  attr_reader :size
  attr_reader :variety
  attr_reader :weight

  def initialize(name, color, variety, weight, size)
    @name = name
    @color = color
    @variety = variety
    @weight = weight
    @size = size
  end

  def self.from_json(json_string)
    apple_params = JSON.parse(json_string)
    Apple.new(*apple_params.values_at(*%w[name color variety weight size]))
  end
 
  def to_hash
    {
      name: @name,
      color: @color,
      variety: @variety,
      weight: @weight,
      size: @size
    }
  end
end
