require 'json'

RSpec.describe 'Apple REST interface' do
  it 'should return list of apples on /' do
    get '/apples/'
    response = JSON.load(last_response.body)
    expect(response).not_to be_empty
  end

  it 'should provide information about the apple' do
    get '/apples/'
    apple_list = JSON.load(last_response.body)
    get "/apples/#{apple_list[0]['id']}"
    apple_info = JSON.load(last_response.body)
    expect(apple_info.keys).to contain_exactly(*%w[id name weight size variety color])
  end

  it 'should be able to add new apple' do
    new_apple = JSON.dump({name: 'Новое', weight: 300, variety: 'Антоновка',
      size: 'Среднее', color: 'Зелёное'})
    post '/apples/', new_apple, { 'CONTENT_TYPE' => 'application/json' }
    expect(last_response).to be_ok
    apple_info = JSON.load(last_response.body)
    expect(apple_info).to have_key('id')
  end
end
